# HierarchyWizard.HierarchyWizardResult (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizard.HierarchyWizardResult<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizard.HierarchyWizardResult<T>

- Type Parameters:
    `T` -
  Enclosing class:
    HierarchyWizard<T>

      public static class HierarchyWizard.HierarchyWizardResult<T>
      extends java.lang.Object

  Result of the wizard.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `HierarchyBuilder<T>` | `builder` TODO
    `AttributeType.Hierarchy` | `hierarchy` TODO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizard.HierarchyWizardResult(AttributeType.Hierarchy hierarchy, HierarchyBuilder<T> builder)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hierarchy

          public final AttributeType.Hierarchy hierarchy

      TODO

    - #### builder

          public final HierarchyBuilder<T> builder

      TODO

  - ### Constructor Detail

    - #### HierarchyWizard.HierarchyWizardResult

          public HierarchyWizard.HierarchyWizardResult(AttributeType.Hierarchy hierarchy,
                                               HierarchyBuilder<T> builder)

      Parameters:
        `hierarchy` -
        `builder` -